'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _graphql = require('graphql-compose/lib/graphql');

const PaginationInfoType = new _graphql.GraphQLObjectType({
  name: 'PaginationInfo',
  description: 'Information about pagination.',
  fields: () => ({
    currentPage: {
      type: new _graphql.GraphQLNonNull(_graphql.GraphQLInt),
      description: 'Current page number'
    },
    perPage: {
      type: new _graphql.GraphQLNonNull(_graphql.GraphQLInt),
      description: 'Number of items per page'
    },
    pageCount: {
      type: _graphql.GraphQLInt,
      description: 'Total number of pages'
    },
    itemCount: {
      type: _graphql.GraphQLInt,
      description: 'Total number of items'
    },
    hasNextPage: {
      type: _graphql.GraphQLBoolean,
      description: 'When paginating forwards, are there more items?'
    },
    hasPreviousPage: {
      type: _graphql.GraphQLBoolean,
      description: 'When paginating backwards, are there more items?'
    }
  })
});

exports.default = PaginationInfoType;